import JSZip from 'jszip';
import { ImportedElement, ShapeModificationCallback, Workbook } from '../types/types';
import { RootPresTemplate } from '../interfaces/root-pres-template';
import { HelperElement } from '../types/xml-types';
import { ImageTypeMap } from '../enums/image-type-map';
import { ElementSubtype } from '../enums/element-type';
export declare class Shape {
    mode: string;
    name: string;
    sourceArchive: JSZip;
    sourceSlideNumber: number;
    sourceSlideFile: string;
    sourceNumber: number;
    sourceFile: string;
    sourceRid: string;
    sourceElement: XMLDocument;
    targetFile: string;
    targetArchive: JSZip;
    targetTemplate: RootPresTemplate;
    targetSlideNumber: number;
    targetNumber: number;
    targetSlideFile: string;
    targetSlideRelFile: string;
    createdRid: string;
    relRootTag: string;
    relAttribute: string;
    relParent: (element: Element) => Element;
    targetElement: XMLDocument;
    callbacks: ShapeModificationCallback[];
    hasCreationId: boolean;
    contentTypeMap: typeof ImageTypeMap;
    subtype: ElementSubtype;
    constructor(shape: ImportedElement);
    setTarget(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    setTargetElement(): Promise<void>;
    appendToSlideTree(): Promise<void>;
    replaceIntoSlideTree(): Promise<void>;
    removeFromSlideTree(): Promise<void>;
    modifySlideTree(insertBefore?: boolean): Promise<void>;
    updateElementsRelId(): Promise<void>;
    getElementsByRid(slideXml: Document, rId: string): Promise<Element[]>;
    updateTargetElementRelId(): Promise<void>;
    applyCallbacks(callbacks: ShapeModificationCallback[], element: XMLDocument, arg1?: Document, arg2?: Workbook): void;
    appendImageExtensionToContentType(extension: any): Promise<HelperElement | boolean>;
}
