"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importStar(require("./index"));
const automizer = new index_1.default({
    templateDir: `${__dirname}/../__tests__/pptx-templates`,
    outputDir: `${__dirname}/../__tests__/pptx-output`,
    removeExistingSlides: true,
});
const run = () => __awaiter(void 0, void 0, void 0, function* () {
    const pres = automizer
        .loadRoot(`ChartLinesVerticalImageMarkers.pptx`)
        .load(`ChartLinesVerticalImageMarkers.pptx`, 'charts');
    const data = {
        series: [
            { label: 'series s1' },
            { label: 'series s2' },
            { label: 'series s3' },
        ],
        categories: [
            { label: 'item test r1', y: 10, values: [10, 16, 12] },
            { label: 'item test r2', y: 9, values: [12, 18, 15] },
            { label: 'item test r3', y: 8, values: [14, 12, 11] },
            { label: 'item test r4', y: 7, values: [8, 11, 9] },
            { label: 'item test r5', y: 6, values: [6, 15, 7] },
            { label: 'item test r6', y: 5, values: [16, 16, 9] },
            { label: 'item test r7', y: 4, values: [10, 13, 12] },
            { label: 'item test r8', y: 3, values: [11, 12, 14] },
            { label: 'item test r9', y: 2, values: [9, 7, 11] },
            { label: 'item test r10', y: 1, values: [7, 5, 17] },
        ],
    };
    const dataSmaller = {
        series: [{ label: 'series s1' }],
        categories: [
            { label: 'item test r1', y: 10, values: [10] },
            { label: 'item test r2', y: 9, values: [12] },
            { label: 'item test r3', y: 8, values: [14] },
        ],
    };
    const result = yield pres
        .addSlide('charts', 1, (slide) => {
        slide.modifyElement('DotMatrixImageMarkers', [
            index_1.modify.setChartVerticalLines(dataSmaller),
        ]);
    })
        .write(`modify-chart-vertical-lines-marker.test.pptx`);
});
run().catch((error) => {
    console.error(error);
});
//# sourceMappingURL=dev-chart.js.map