import JSZip from 'jszip';
export default class ModifyPresentationHelper {
    /**
     * Get Collection of slides
     */
    static getSlidesCollection: (xml: XMLDocument) => HTMLCollectionOf<Element>;
    /**
     * Pass an array of slide numbers to define a target sort order.
     * First slide starts by 1.
     * @order Array of slide numbers, starting by 1
     */
    static sortSlides: (order: number[]) => (xml: XMLDocument) => void;
    /**
     * Set ids to prevent corrupted pptx.
     * Must start with 256 and increment by one.
     */
    static normalizeSlideIds: (xml: XMLDocument) => void;
    /**
     * contentTracker.files includes all files that have been
     * copied into the root template by automizer. We remove all other files.
     */
    static removeUnusedFiles(xml: XMLDocument, i: number, archive: JSZip): Promise<void>;
    /**
     * PPT won't complain about unused items in [Content_Types].xml,
     * but we remove them anyway in case the file mentioned in PartName-
     * attribute does not exist.
     */
    static removeUnusedContentTypes(xml: XMLDocument, i: number, archive: JSZip): Promise<void>;
    static removedUnusedImages(xml: XMLDocument, i: number, archive: JSZip): Promise<void>;
}
