import { Modification, ModificationTags } from '../types/modify-types';
export default class ModifyXmlHelper {
    root: XMLDocument | Element;
    templates: {
        [key: string]: Node;
    };
    constructor(root: XMLDocument | Element);
    modify(tags: ModificationTags, root?: XMLDocument | Element): void;
    assertElement(collection: HTMLCollectionOf<Element>, index: number, tag: string, parent: XMLDocument | Element, modifier: Modification): XMLDocument | Element | boolean;
    createElement(parent: XMLDocument | Element, tag: string): boolean;
    static getText: (element: Element) => string;
    static value: (value: number | string, index?: number) => (element: Element) => void;
    static textContent: (value: number | string) => (element: Element) => void;
    static attribute: (attribute: string, value: string | number) => (element: Element) => void;
    static booleanAttribute: (attribute: string, state: boolean) => (element: Element) => void;
    static range: (series: number, length?: number) => (element: Element) => void;
}
