import Automizer from './automizer';
import ModifyHelper from './helper/modify-helper';
import ModifyShapeHelper from './helper/modify-shape-helper';
import ModifyTableHelper from './helper/modify-table-helper';
import ModifyChartHelper from './helper/modify-chart-helper';
import { AutomizerSummary, StatusTracker } from './types/types';
import { ModifyTableParams, TableData, TableRow, TableRowStyle } from './types/table-types';
import { ChartBubble, ChartCategory, ChartData, ChartSeries, ChartValueStyle } from './types/chart-types';
import { Color, ReplaceText, TextStyle } from './types/modify-types';
import { ShapeCoordinates, ShapeValueStyle } from './types/shape-types';
import { XmlHelper } from './helper/xml-helper';
import ModifyTextHelper from './helper/modify-text-helper';
import ModifyColorHelper from './helper/modify-color-helper';
import { TemplateInfo } from './types/xml-types';
export type { ChartBubble, ChartCategory, ChartSeries, TableData, TableRow, TextStyle, ModifyTableParams, TableRowStyle, ChartData, ChartValueStyle, Color, ShapeValueStyle, ShapeCoordinates, ReplaceText, };
export { Automizer, XmlHelper, ModifyHelper, ModifyShapeHelper, ModifyTableHelper, ModifyChartHelper, ModifyTextHelper, ModifyColorHelper, };
export declare const modify: {
    dump: (element: Element | Document | XMLDocument) => void;
    dumpChart: (element: Element | Document | XMLDocument, chart: XMLDocument) => void;
    setAttribute: (tagName: string, attribute: string, value: string | number, count?: number) => (element: XMLDocument) => void;
    setSolidFill: (element: Element | XMLDocument) => void;
    setText: (text: string) => (element: Element | XMLDocument) => void;
    replaceText: (replaceText: ReplaceText | ReplaceText[], options?: import("./types/modify-types").ReplaceTextOptions) => (element: Element | XMLDocument) => void;
    setPosition: (pos: ShapeCoordinates) => (element: Element | XMLDocument) => void;
    updatePosition: (pos: ShapeCoordinates) => (element: Element | XMLDocument) => void;
    setTableData: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustHeight: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustWidth: (data: TableData) => (element: Element | XMLDocument) => void;
    setTable: (data: TableData, params?: ModifyTableParams) => (element: Element | XMLDocument) => void;
    setChartData: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setExtendedChartData: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartVerticalLines: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartScatter: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartCombo: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartBubbles: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
};
export type { AutomizerSummary, TemplateInfo, StatusTracker };
export default Automizer;
