export declare type ModifyCallback = {
    (element: Element): any;
};
export declare type ModifyCollectionCallback = {
    (collection: HTMLCollectionOf<Element>): any;
};
export declare type Modification = {
    index?: number;
    last?: boolean;
    collection?: ModifyCollectionCallback;
    children?: ModificationTags;
    modify?: ModifyCallback | ModifyCallback[];
    create?: any;
    isRequired?: boolean;
    fromPrevious?: boolean;
    forceCreate?: boolean;
};
export declare type ModificationTags = {
    [tag: string]: Modification;
};
export declare type Color = {
    type?: 'schemeClr' | 'srgbClr';
    value: string;
};
export declare type TextStyle = {
    size?: number;
    color?: Color;
    isBold?: boolean;
    isItalics?: boolean;
};
export declare type ReplaceText = {
    replace: string;
    by: ReplaceTextReplacement | ReplaceTextReplacement[];
};
export declare type ReplaceTextReplacement = {
    text: string;
    style?: TextStyle;
};
export declare type ReplaceTextOptions = {
    openingTag: string;
    closingTag: string;
};
